signature NAMES =
    sig
	eqtype alph
	val atomName : alph -> string
	(* returns the printname of constants *)
	val varName  : int -> string
	(* returns the printname of variables *)
    end

structure StandardNames : NAMES =
    struct
	type alph = string
	fun atomName (a : alph) = a : string
	fun varName i = "x"^ Int.toString i 
    end

functor Names(Alphabet : LABEL) : NAMES =
    struct		
        type alph = Alphabet.label
        val atomName = Alphabet.toString 
        fun varName i = "x_" ^ Int.toString i
    end

